LicencePanel

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.miscellaneous.client
Class LicencePanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.openswing.swing.miscellaneous.client.LicencePanel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class LicencePanel
extends javax.swing.JPanel

Title: OpenSwing Framework

Description: Panel that shows a licence agreement. Image icon is optional.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`LicencePanel()`

Method Summary
`void` | `addBackActionListener(java.awt.event.ActionListener listener)` Add an ActionListener to the "back" button.
`void` | `addCancelActionListener(java.awt.event.ActionListener listener)` Add an ActionListener to the "cancel" button.
`void` | `addOkActionListener(java.awt.event.ActionListener listener)` Add an ActionListener to the "ok" button.
`void` | `addOkRadioButtonItemListener(java.awt.event.ItemListener listener)` Add an ItemListener to the "ok" radio button.
`java.lang.String` | `getImageName()`
`java.lang.String` | `getLicence()`
`java.lang.String` | `getSubTitle()`
`java.lang.String` | `getTitle()`
`boolean` | `isShowBackButton()`
`boolean` | `isShowCancelButton()`
`boolean` | `isShowOkButton()`
`void` | `setImageName(java.lang.String imageName)` Set tip image.
`void` | `setLicence(java.lang.String licence)` Set subtitle.
`void` | `setShowBackButton(boolean showBackButton)` Set the flag used to show/hide the "back" button.
`void` | `setShowCancelButton(boolean showCancelButton)` Set the flag used to show/hide the "cancel" button.
`void` | `setShowOkButton(boolean showOkButton)` Set the flag used to show/hide the "ok" button.
`void` | `setSubTitle(java.lang.String subTitle)` Set subtitle.
`void` | `setTitle(java.lang.String title)` Set title in bold style.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LicencePanel

    public LicencePanel()

Method Detail

### setTitle

    public final void setTitle(java.lang.String title)

  Set title in bold style. It will be translated, according to ClientSettings.

  Parameters:
    `title` - title in bold style

### setImageName

    public final void setImageName(java.lang.String imageName)

  Set tip image.

  Parameters:
    `imageName` - tip image

### setSubTitle

    public final void setSubTitle(java.lang.String subTitle)

  Set subtitle. It will be translated, according to ClientSettings.

  Parameters:
    `subTitle` - subtitle

### getTitle

    public final java.lang.String getTitle()

  Returns:
    title in bold style

### getSubTitle

    public final java.lang.String getSubTitle()

  Returns:
    subtitle

### setLicence

    public final void setLicence(java.lang.String licence)

  Set subtitle. It will be translated, according to ClientSettings.

  Parameters:
    `licence` - licence text; it can be in HTML format

### getLicence

    public final java.lang.String getLicence()

  Returns:
    licence text

### addOkRadioButtonItemListener

    public final void addOkRadioButtonItemListener(java.awt.event.ItemListener listener)

  Add an ItemListener to the "ok" radio button.

  Parameters:
    `listener` - ItemListener added to the "ok" radio button

### addOkActionListener

    public final void addOkActionListener(java.awt.event.ActionListener listener)

  Add an ActionListener to the "ok" button.

  Parameters:
    `listener` - ActionListener to add

### addCancelActionListener

    public final void addCancelActionListener(java.awt.event.ActionListener listener)

  Add an ActionListener to the "cancel" button.

  Parameters:
    `listener` - ActionListener to add

### addBackActionListener

    public final void addBackActionListener(java.awt.event.ActionListener listener)

  Add an ActionListener to the "back" button.

  Parameters:
    `listener` - ActionListener to add

### isShowBackButton

    public final boolean isShowBackButton()

  Returns:
    flag used to show/hide the "back" button

### isShowCancelButton

    public final boolean isShowCancelButton()

  Returns:
    flag used to show/hide the "cancel" button

### isShowOkButton

    public final boolean isShowOkButton()

  Returns:
    flag used to show/hide the "ok" button

### setShowOkButton

    public final void setShowOkButton(boolean showOkButton)

  Set the flag used to show/hide the "ok" button.

  Parameters:
    `showOkButton` - flag used to show/hide the "ok" button

### setShowCancelButton

    public final void setShowCancelButton(boolean showCancelButton)

  Set the flag used to show/hide the "cancel" button.

  Parameters:
    `showCancelButton` - flag used to show/hide the "cancel" button

### setShowBackButton

    public final void setShowBackButton(boolean showBackButton)

  Set the flag used to show/hide the "back" button.

  Parameters:
    `showBackButton` - flag used to show/hide the "back" button

### getImageName

    public java.lang.String getImageName()

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD